"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TestExecutionSettings = void 0;
var TestExecutionSettings = /** @class */ (function () {
    function TestExecutionSettings(def) {
        this.verbose = false;
        this.timeout = 10 * 1000;
        this.order = 'default';
        this.orderSeed = undefined;
        this.only = false;
        if (def)
            Object.assign(this, def);
    }
    TestExecutionSettings.prototype.clone = function (props) {
        return Object.assign(new TestExecutionSettings(this), props);
    };
    return TestExecutionSettings;
}());
exports.TestExecutionSettings = TestExecutionSettings;
//# sourceMappingURL=test-execution-settings.js.map