"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TestReportingSettings = void 0;
var TestReportingSettings = /** @class */ (function () {
    function TestReportingSettings(def) {
        this.reporters = [];
        this.exitAndReport = false;
        this.slowThreshold = 75;
        this.minimumReportedDuration = 15;
        if (def)
            Object.assign(this, def);
    }
    TestReportingSettings.prototype.clone = function (props) {
        return Object.assign(new TestReportingSettings(this), props);
    };
    return TestReportingSettings;
}());
exports.TestReportingSettings = TestReportingSettings;
//# sourceMappingURL=test-reporting-settings.js.map