import { TestSuiteResults, TestSuite } from "../suite";
import { Test, TestResult } from "../test";
import { TestSubject } from "../subject";
export interface Reporter {
    onSuiteLoaded?(suite: TestSuite): any;
    onSuiteStarted?(suite: TestSuite): any;
    onSubjectStarted?(suite: TestSuite, subject: TestSubject): any;
    onTestStarted?(suite: TestSuite, subject: TestSubject, test: Test): any;
    onTestFinished?(suite: TestSuite, subject: TestSubject, test: Test, result: TestResult): any;
    onSubjectFinished?(suite: TestSuite, subject: TestSubject): any;
    onSuiteFinished?(suite: TestSuite, results: TestSuiteResults): any;
}
