"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TestSubjectResult = void 0;
var TestSubjectResult = /** @class */ (function () {
    function TestSubjectResult(_description, _results) {
        this._description = _description;
        this._results = _results;
    }
    Object.defineProperty(TestSubjectResult.prototype, "passed", {
        get: function () {
            return this._results.map(function (x) { return x.passed; }).indexOf(false) < 0;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(TestSubjectResult.prototype, "description", {
        get: function () {
            return this._description;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(TestSubjectResult.prototype, "tests", {
        get: function () {
            return this._results;
        },
        enumerable: false,
        configurable: true
    });
    return TestSubjectResult;
}());
exports.TestSubjectResult = TestSubjectResult;
//# sourceMappingURL=test-subject-result.js.map