"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TestSuiteResults = void 0;
var TestSuiteResults = /** @class */ (function () {
    function TestSuiteResults(_testSuite, _subjectResults) {
        this._testSuite = _testSuite;
        this._subjectResults = _subjectResults;
    }
    Object.defineProperty(TestSuiteResults.prototype, "testSuite", {
        get: function () {
            return this._testSuite;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(TestSuiteResults.prototype, "subjectResults", {
        get: function () {
            return this._subjectResults;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(TestSuiteResults.prototype, "passed", {
        get: function () {
            return this._subjectResults.map(function (x) { return x.passed; }).indexOf(false) < 0;
        },
        enumerable: false,
        configurable: true
    });
    TestSuiteResults.prototype.report = function (reporters) {
        var _this = this;
        if (reporters)
            reporters.forEach(function (reporter) { return reporter.onSuiteFinished(_this.testSuite, _this); });
    };
    return TestSuiteResults;
}());
exports.TestSuiteResults = TestSuiteResults;
//# sourceMappingURL=test-suite-results.js.map