export interface TestResultSpec {
    description: string;
    passed: boolean | 'skip';
    message?: string;
    hidden?: boolean;
    duration?: number;
}
export declare class TestResult {
    constructor(spec: TestResultSpec);
    private _description;
    private _passed;
    private _message;
    private _hidden;
    private _duration;
    get duration(): number;
    get hidden(): boolean;
    get description(): string;
    get passed(): boolean | "skip";
    get message(): string;
}
