"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TestResult = void 0;
var TestResult = /** @class */ (function () {
    function TestResult(spec) {
        var _this = this;
        this._message = undefined;
        this._hidden = false;
        this._duration = undefined;
        Object.keys(spec).forEach(function (key) { return _this["_".concat(key)] = spec[key]; });
    }
    Object.defineProperty(TestResult.prototype, "duration", {
        get: function () {
            return this._duration;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(TestResult.prototype, "hidden", {
        get: function () {
            return this._hidden;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(TestResult.prototype, "description", {
        get: function () {
            return this._description;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(TestResult.prototype, "passed", {
        get: function () {
            return this._passed;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(TestResult.prototype, "message", {
        get: function () {
            return this._message;
        },
        enumerable: false,
        configurable: true
    });
    return TestResult;
}());
exports.TestResult = TestResult;
//# sourceMappingURL=test-result.js.map