"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var reporting_1 = require("../reporting");
var RazminKarmaReporter = /** @class */ (function () {
    function RazminKarmaReporter() {
    }
    RazminKarmaReporter.prototype.onSuiteLoaded = function (suite) {
        __karma__.info({
            event: 'razminStarted',
            total: suite.tests.length
        });
        suite.run();
    };
    RazminKarmaReporter.prototype.onSuiteFinished = function (suite, results) {
        for (var _i = 0, _a = results.subjectResults; _i < _a.length; _i++) {
            var suiteResult = _a[_i];
            for (var _b = 0, _c = suiteResult.tests; _b < _c.length; _b++) {
                var testResult = _c[_b];
                __karma__.result({
                    description: testResult.description,
                    skipped: testResult.passed === 'skip',
                    success: testResult.passed === true,
                    log: [],
                    suite: [suiteResult.description],
                });
            }
        }
        __karma__.complete({});
    };
    return RazminKarmaReporter;
}());
// Bootstrap
if (typeof window !== 'undefined' && typeof __karma__ !== 'undefined') {
    window['__razminGlobalSuiteSettings'] = {
        execution: {},
        reporting: {
            exitAndReport: false,
            reporters: [new RazminKarmaReporter(), new reporting_1.ConsoleReporter()]
        }
    };
    __karma__.start = function () { };
}
//# sourceMappingURL=adapter.js.map