export interface TestResult {
    id?: string;
    description: string;
    suite: string[];
    log?: string[];
    success: boolean;
    skipped: boolean;
}
export interface InfoMessage extends Record<string, any> {
    event: string;
}
export interface SuiteResult {
    order?: any;
    coverage?: any;
}
export interface Karma {
    result(testResult: TestResult): any;
    complete(suiteResult?: SuiteResult): any;
    error(message: string): any;
    info(message: InfoMessage): any;
    start: Function;
}
