/**
 * Copyright Google Inc. All Rights Reserved.
 * Copyright William Lahti
 *
 * Derived from Angular's NgZone
 * https://github.com/angular/angular/blob/6.0.0/packages/core/src/zone/ng_zone.ts
 *
 */
import { Observable } from 'rxjs';
export declare class TestZone {
    constructor(name: string, properties?: any);
    private _zonesWithPendingMicrotasks;
    private _zonesWithPendingMacrotasks;
    private _outside;
    private _nesting;
    private _hasPendingMicrotasks;
    private _hasPendingMacrotasks;
    private _zone;
    private _onError;
    private _isStable;
    private _onMicrotaskEmpty;
    private _onStable;
    get zone(): Zone;
    get onMicrotaskEmpty(): Observable<void>;
    get onStable(): Observable<void>;
    get onError(): Observable<Error>;
    checkStable(): void;
    runOutside(runnable: any): void;
    invoke(callback: () => void): void;
    private innerInvoke;
    onEnter(): void;
    onLeave(): void;
}
